#include <iostream>

using namespace std;

int main(){
int n,k;
cin >> n >> k;
char s[n];
int sl[k];
for(int i=0;i<k;i++) sl[i]=0;
int z=0;
bool tren=true;
for(int i=0;i<n;i++) {
    cin >> s[i];
    sl[s[i]-'a']++;
    bool pom=false;
    for(int j=0;j<k;j++) if(sl[j]==0) pom=true;
    if(pom) z++;

}

for(int i=1;i<=n;i++){
    if(i<=z){
        cout << "1 ";
        continue;
    }
    cout << "2 ";

}
cout << endl;
return 0;
}